task merge {
	Array[File] family_mendelian_info
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		cat ${sep=" " family_mendelian_info} | sort -k1,1 -k2,2n > ${family_name}.mendelian.txt

		cat ${family_name}.mendelian.txt | cut -f13 | sort | uniq -c > ${family_name}.sister.reproducibility.txt

		cat ${family_name}.mendelian.txt | cut -f11 | sort | uniq -c | grep '1:1:1' > ${family_name}.mendelian.summary.txt
		cat ${family_name}.mendelian.txt | cut -f11 | sort | uniq -c | grep 'Ref:1:1' >> ${family_name}.mendelian.summary.txt
		cat ${family_name}.mendelian.txt | cut -f12 | sort | uniq -c | grep 'yes' >> ${family_name}.mendelian.summary.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File family_all_info = "${family_name}.mendelian.txt"
		File sister_consistency = "${family_name}.sister.reproducibility.txt"
		File family_mendelian = "${family_name}.mendelian.summary.txt"
	}
}
